<?php
ob_start();
define('NTOP', 1);
$title = 'Личный кабинет';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act){
default:
$platforms = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'"));
$news = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news`"));
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `sms`;"), 0);
echo '<div class="topik">Пользователь - '.$user_data['login'].'</div>
<div class="stat"><img src="/images/icon.png" alt=""> <b>Баланс:</b> <b>'.$user_data['kr'].'</b> .Кр <a href="/str/info_kr.php">[?]</a><br>
<img src="/images/icon.png" alt=""> <a href="/gb/index.php">Центр поддержки</a> ['.$all.']<br>';
if($user_data['level'] == 2)echo'<img src="/images/icon.png" alt=""> <a href="/adm_panel">Админ-панель</a><br>';

echo'<br><img src="/images/icon.png" alt=""> <a href="office.php?act=platforms"><b>Мои сайты</b></a> ['.$platforms.'/'.$set['max_platforms'].']<br>
<img src="/images/icon.png" alt=""> <a href="/news/index.php">Обновления</a> ['.$news.']<br>
<img src="/images/icon.png" alt=""> <a href="/rating.php">Рейтинг юзеров</a><br>
<img src="/images/icon.png" alt=""> <a href="office.php?act=settings">Мои настройки</a><br>
<img src="/images/icon.png" alt=""> <a href="reklama.php">Купить рекламу</a><br>
<img src="/images/icon.png" alt=""> <a href="office.php?act=pass">Изменить пароль</a><br>
<img src="/images/icon.png" alt=""> <a href="enter.php?act=exit">Выход ('.$user_data['login'].')</a></div>';
break;

case 'platforms':
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."' AND `ban` = '0'");
$platforms = mysql_num_rows($platform);
echo '<div class="topik">';
echo 'Площадки - '.$user_data['login'].'<br/></div>';
echo '<div class="stat">';
echo 'Площадок: <strong>'.$platforms.'</strong> из <strong>'.$set['max_platforms'].'</strong>';
echo '</div>';
if($platforms == 0){
echo '<div class="top">';
echo '<font color="red">У вас еще нет сайтов.<br> Добавьте их!</font><br/>';
echo '<b><a href="office.php?act=add_platform">Добавить сайт</a></b><br/>';
echo '</div>';
}else{
$total=intval(($platforms-1)/$page_platforms)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0){
$page = 1;
}
if($page > $total){
$page = $total;
}
$past=intval($platforms/$page_platforms);
$start=$page*$page_platforms-$page_platforms;
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."' AND `ban` = '0' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
while($row = mysql_fetch_array($platform)){
$status = $row['status'] == 1 ? '<font color=green>Проверен</font>' : '<font color=red>На модерации</font>';
$moder = ($row['status'] == 0 AND $set['auto_moderacia'] == 1) ? '[<a href="/str/office.php?act=auto_moderacia&id='.$row['id'].'"><font color=red>Автомодерация</font></a>]' : '';
$start++;
echo '<div class="topni"><img src="/images/icon.png" alt=""> <a href="/out.php?id='.$row['id'].'"><b>'.$row['url'].'</b></a>';
if($row['mem'] == 0){
echo' <a href="/str/infos.php?id='.$row['id'].'"><img src="/images/s.gif" alt="?"></a>';}else{echo' <img src="/images/d.gif" alt="*">';}
echo' <small>('.$status.') '.$moder.'</small></br>'.$row['about'].'<br/>
<a href="/str/office.php?act=edit_platform&id='.$row['id'].'">Изм</a> | <a href="/str/office.php?act=del_platform&id='.$row['id'].'">Удл</a> | <a href="/str/office.php?act=code&id='.$row['id'].'">Счетчик</a></div>';
}
navigation($platforms,$page_platforms,$page,'office.php?act=platforms&',$total);
echo '<div class="stat"><a href="/str/office.php?act=add_platform">Добавить сайт</a></div>';
echo '<div class="faz"><b><< <a href="/str/office.php">В кабинет</a></b></div>';
}
break;

case 'add_platform':
echo '<div class="topik">Добавление площадки</div>';
if(!isset($_POST['ok'])){
echo '<div class="stat"><form action="office.php?act=add_platform&mod=2" method="post">
URL сайта(без http:// )(max. 35):<br/>
<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
Описание сайта(max. 150):<br/>
<textarea name="about" cols="20" rows="6"></textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0){
while($cat = mysql_fetch_assoc($cats)){
echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';}}
echo'</select><br><input name="mem" type="checkbox" value="1" /> Скрывать статистику<br>
<input name="ok" type="submit" value="Добавить" /></form></div>';
} else {
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms_count = mysql_num_rows($platform);
if($platforms_count >= $set['max_platforms']){
echo '<div class="stat">';
echo 'Достигнут лимит площадок <strong>'.$set['max_platforms'].'</strong>, удалите лишние площадки или создайте новый аккаунт!<br/>';
echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
echo '</div>';
} else {
$url = filter($_POST['url']);
$url = trim(str_replace("http://","",$url));
$about = filter($_POST['about']);
$cat = intval($_POST['cat']);
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
if($isset_cat == 0){
$error .= 'Ошибка! Нет такой категории!<br/>';
}
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `url` = '".$url."' LIMIT 1")) != 0)
{
$error .= 'Сайт уже зарегистрирован или забанен!';
}
if(empty($url) OR empty($about) OR empty($cat))
{
$error .= 'Ошибка! Не заполнены поля!<br/>';
}
if(mb_strlen($url) >= 35)
{
$error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';
}
if(mb_strlen($name) >= 25)
{
$error .= 'Ошибка! Поле "Название сайта" не должно быть больше 25 символов!<br/>';
}
if(mb_strlen($about) >= 150)
{
$error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 150 символов!<br/>';
}
if(!empty($error))
{
echo '<div class="stat">'.$error.'<br>
<a href="/str/office.php?act=add_platform">Назад</a></div>';
}else{
if(!empty($_POST['mem'])){
mysql_query("INSERT INTO `".$prefix."sait` SET `image` = '1', `small` = '11', `on` = '1010', `id_user` = '".$user_data['id']."', `about` = '".$about."', `category` = '".$cat."', `url` = '".$url."', `status` = '".$set['moderacia']."', `mem` = '1'");
}else{
mysql_query("INSERT INTO `".$prefix."sait` SET `image` = '1', `small` = '11', `on` = '1010', `id_user` = '".$user_data['id']."', `about` = '".$about."', `category` = '".$cat."', `url` = '".$url."', `status` = '".$set['moderacia']."', `mem` = '0'");
}


echo '<div class="stat">';
echo 'Площадка успешно добавлена!<br>
Пройдите к площадкам и выберите код и цвет счетчика для установки<br>';
echo '<a href="/str/office.php?act=platforms">К площадкам</a><br/>';
echo '</div>';

}}}
break;

case 'edit_platform':
if(!isset($_POST['ok'])){
echo '<div class="topik">Изменение площадки</div>';
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1");
$platform_count = mysql_num_rows($platform);
$user_platform = mysql_fetch_array($platform);
if($platform_count > 0){
echo '<div class="stat"><form action="office.php?act=edit_platform&mod=2&id='.$id.'" method="post">
Описание сайта(max. 150):<font color="red">*</font><br/>
<textarea name="about" cols="20" rows="6">'.$user_platform['about'].'</textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0){
while($cat = mysql_fetch_assoc($cats)){
$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
echo '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';}}
echo '</select>
<br><input name="mem" type="checkbox" value="1" /> Скрывать статистику<br>
<input name="ok" type="submit" value="Изменить" /></form></div><br>
Поля где отмеченные <font color="red">*</font> Обизательно к заполнение!';
} else {
echo '<div class="stat">Данной площадки не существует!<br/>
<a href="/str/office.php?act=platforms">Назад</a></div>';
}} else {
$cat = intval($_POST['cat']);
$image = filter($_POST['image']);
$about = filter($_POST['about']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1"));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
if($isset_cat == 0)
{
$error .= 'Ошибка! Нет такой категории!<br/>';
}
if(empty($cat) OR empty($about))
{
$error .= 'Ошибка!Не заполнены поля!<br/>';
}
if($platform_isset == 0)
{
$error .= 'У вас нет такой площадки!<br/>';
}
if(mb_strlen($url) >= 35)
{
$error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';

}
if(mb_strlen($about) >= 150)
{
$error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 150 символов!<br/>';
}
if(!empty($error)){
echo '<div class="stat">'.$error.'<br>
<a href="/str/office.php?act=platforms">К площадкам</a></div>';
} else {
if(!empty($_POST['mem'])){
mysql_query("UPDATE `".$prefix."sait` SET `status` = '0', `category` = '".$cat."', `mem` = '1', `about` = '".$about."' WHERE `id` = '".$id."'");
}else{
mysql_query("UPDATE `".$prefix."sait` SET `status` = '0', `category` = '".$cat."', `mem` = '0', `about` = '".$about."' WHERE `id` = '".$id."'");
}

echo '<div class="stat">Площадка успешно отредактирована!<br/>
<a href="/str/office.php?act=platforms">К площадкам</a></div>';
}}
break;

case 'del_platform':
$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1");
$platform_isset_c = mysql_num_rows($platform_isset);
if($platform_isset_c > 0)
{
$platform = mysql_fetch_array($platform_isset );
echo '<div class="topik">Удаление площадки <strong>'.$platform['url'].'</strong></div>';
if(!isset($_GET['ok']))
{
echo '<div class="stat">';
echo 'Вы действительно хотите удалить площадку <strong>'.$platform['url'].'</strong> из Рейтинга?<br/>';
echo '<a href="http://'.$set['home'].'/str/office.php?act=del_platform&id='.$id.'&ok">Да</a> | <a href="http://'.$set['home'].'/str/office.php?act=platforms">Нет</a><br/>';
echo '</div>';
}else{
$del_hosts = mysql_query("DELETE FROM `".$prefix."hosts` WHERE `id_sait` = '".$id."'");
$del_hits = mysql_query("DELETE FROM `".$prefix."hits` WHERE `id_sait` = '".$id."'");
$del_online = mysql_query("DELETE FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'");
$del_platform = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
if($del_hosts AND $del_hits AND $del_online AND $del_platform){
echo '<div class="stat">';
echo 'Площадка успешно удалена!<br/>';
echo '<a href="http://'.$set['home'].'/str/office.php">В кабинет</a><br/>';
echo '</div>';
}else{
echo '<div class="stat">';
echo 'В процессе удаления произошла ошибка!<br/>';
echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
echo '</div>';
}}}else{
echo '<div class="stat">';
echo 'У вас нет такой площадки!<br/>';
echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
echo '</div>';
}
break;

case 'code':
echo '<div class="topik">Код для установки на сайте</div>';
echo '<div class="faz">'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go.php?id='.$id.'" >'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image.php?id='.$id.'" alt="'.$set['top_name'].'"/>'.htmlspecialchars('</a>').'</div>';
if(!isset($_GET['id'])){
echo '<div class="stat">';
echo 'Чтобы установить счётчик на вашем сайте , нужно поставить ссылку вида:<br/>';
echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go.php?id=<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image.php?id=<font color=red>ID_ПЛОЩАДКИ</font>" alt="'.$set['top_name'].'"/>'.htmlspecialchars('</a>').'</strong>';
echo '<br/><br/>';
echo '<small>Где <strong>ID_ПЛОЩАДКИ</strong> - ID площадки , счётчик которой вы хотите поставить , ID - показывается рядом с площадкой!</small><br/>';
echo '</div>';
}else{
$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
$image_on = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'on'");
$user_platform = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1"));

echo '<div class="rek">Для главной:<br>
<form action="office.php?act=image&id='.$id.'" method="post">';

while($count_big = mysql_fetch_array($image_big)){
$checked = ($user_platform['image'] == $count_big['name']) ? ' checked="checked"' : '';
echo '<input type="radio" name="image" value="'.$count_big['name'].'"'.$checked.'><img src="/images/stat/'.$count_big['name'].'.gif" alt=""><br>';
}

echo '<input name="ok" type="submit" value="Изменить" /></form>Код:<br/>
<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go.php?id='.$id.'"><img src="http://'.$set['home'].'/image.php?id='.$id.'" alt="'.$set['top_name'].'"/></a>').'"/></div>
<div class="rek">Для остальных:<br>
<form action="office.php?act=small&id='.$id.'" method="post">';

while($count_small = mysql_fetch_array($image_small)){
$checked = ($user_platform['small'] == $count_small['name']) ? ' checked="checked"' : '';
echo '<input type="radio" name="image" value="'.$count_small['name'].'"'.$checked.'><img src="/images/stat/'.$count_small['name'].'.gif" alt=""><br>';
}

echo '<input name="ok" type="submit" value="Изменить" /></form>Код:<br/>
<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go.php?id='.$id.'"><img src="http://'.$set['home'].'/image.php?act=small&id='.$id.'" alt="'.$set['top_name'].'"/></a>').'"/></div>
<div class="rek">Онлайн:<br>
<form action="office.php?act=on&id='.$id.'" method="post">';

while($count_on = mysql_fetch_array($image_on)){
$checked = ($user_platform['on'] == $count_on['name']) ? ' checked="checked"' : '';
echo'<input type="radio" name="image" value="'.$count_on['name'].'"'.$checked.'><img src="/image.php?act=on&id='.$id.'" alt=""><br>';
}

echo '<input name="ok" type="submit" value="Изменить" /></form>Код:<br/>
<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go.php?id='.$id.'"><img src="http://'.$set['home'].'/image.php?act=on&id='.$id.'" alt="'.$set['top_name'].'"/></a>').'"/></div>
<div class="stat"><a href="/str/office.php">В кабинет</a><br/>';
echo '</div>';
}
break;

case 'settings':
echo '<div class="topik">Мои настройки</div>';
if(!isset($_POST['ok'])){
echo '<div class="stat">';
echo '<form action="office.php?act=settings" method="post" name="form">';
echo 'Площадок на страницу в кабинете:<br/>';
echo '<input type="text" name="page_platforms" maxlength="2" class="do_button" value="'.$user_data['page_platforms'].'"/><br/>';
echo 'Элементов на страницу в статистике:<br/>';
echo '<input type="text" name="pages" maxlength="2" class="do_button" value="'.$user_data['pages'].'"/><br/>';
echo 'Сайтов на страницу в категории:<br/>';
echo '<input type="text" name="page_sait" maxlength="2" class="do_button" value="'.$user_data['page_sait'].'"/><br/>';
echo 'Сайтов на страницу Топ-100 (Главная стр.):<br/>';
echo '<input type="text" name="page_top" maxlength="2" class="do_button" value="'.$user_data['page_top'].'"/><br/>';
echo 'Новостей на страницу:<br/>';
echo '<input type="text" name="page_news" maxlength="2" class="do_button" value="'.$user_data['page_news'].'"/><br/>';
echo '<input name="ok" type="submit" value="Сохранить" /></form></div>';
echo '<div class="faz"><b><< <a href="/str/office.php">В кабинет</a></b></div>';
}else{
$page_platforms = abs(intval($_POST['page_platforms']));
$pages = abs(intval($_POST['pages']));
$page_sait = abs(intval($_POST['page_sait']));
$page_top = abs(intval($_POST['page_top']));
$page_news = abs(intval($_POST['page_news']));
$error = '';
if(empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top) or empty($page_news))
{
$error .= 'Ошибка!Одно из полей не заполнено<br/>';
}
if(mb_strlen($pages) > 2)
{
$error .= 'Ошибка! Поле "Элементов на страницу в статистике" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_sait) > 2)
{
$error .= 'Ошибка! Поле "Сайтов на страницу в категории" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_platforms) > 2)
{
$error .= 'Ошибка! Поле "Площадок на страницу" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_top) > 2)
{
$error .= 'Ошибка! Поле "Сайтов на страницу Топ-100" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_news) > 2)
{
$error .= 'Ошибка! Поле "Новостей на страницу" содержит больше 2 символов! <br/>';
}
if(!empty($error))
{
echo '<div class="stat">';
echo $error;
echo '</div>';
echo '<a href="/str/office.php?act=settings">Назад</a><br/>';
}else{
$up = mysql_query("UPDATE `".$prefix."users` SET `page_platforms` = '".$page_platforms."', `pages` = '".$pages."', `page_sait` = '".$page_sait."', `page_top` = '".$page_top."', `page_news` = '".$page_news."' WHERE `id` = '".$user_data['id']."'");
if($up){
echo '<div class="stat">Настройки успешно изменены!<br><a href="/str/office.php">В кабинет</a></div>';
}}}
break;

case 'image':
$image = filter($_POST['image']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1"));
$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$image."'"));
if($isset_image == 0){
$error .= 'Ошибка! Нет такого изображения!<br/>';
}
if($platform_isset == 0)
{
$error .= 'У вас нет такой площадки!<br/>';
}
if(!empty($error)){
echo '<div class="stat">'.$error.'<br>
<a href="/str/office.php?act=code&id='.$id.'">Назад</a></div>';
}else{
mysql_query("UPDATE `".$prefix."sait` SET `image` = '".$image."' WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0'");
header("Location: /str/office.php?act=code&id=$id");
}

break;

case 'small':
$image = filter($_POST['image']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1"));
$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$image."'"));
if($isset_image == 0){
$error .= 'Ошибка! Нет такого изображения!<br/>';
}
if($platform_isset == 0)
{
$error .= 'У вас нет такой площадки!<br/>';
}
if(!empty($error)){
echo '<div class="stat">'.$error.'<br>
<a href="/str/office.php?act=code&id='.$id.'">Назад</a></div>';
}else{
mysql_query("UPDATE `".$prefix."sait` SET `small` = '".$image."' WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0'");
header("Location: /str/office.php?act=code&id=$id");
}

break;

case 'on':
$image = filter($_POST['image']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0' LIMIT 1"));
$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$image."'"));
if($isset_image == 0){
$error .= 'Ошибка! Нет такого изображения!<br/>';
}
if($platform_isset == 0){
$error .= 'У вас нет такой площадки!<br/>';
}
if(!empty($error)){
echo '<div class="stat">'.$error.'<br>
<a href="/str/office.php?act=code&id='.$id.'">Назад</a></div>';
}else{
mysql_query("UPDATE `".$prefix."sait` SET `on` = '".$image."' WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' AND `ban` = '0'");
header("Location: /str/office.php?act=code&id=$id");
}

break;


case 'mail':
echo '<div class="topik">Смена E-mail</div>';
if(isset($_POST['ok'])){
$mail = filter($_POST['mail']);
$error = '';
if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail)){
$error .= 'Вы ввели неверный адрес e-mail, например admin@mail.ru!<br>';
}
if (!empty($mail) and (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `mail` = '".$mail."' LIMIT 1")) != 0)){
$error .= 'Пользователь с таким e-mail уже зарегистрирован!<br>';
}

if(!empty($error)){
echo '<div class="stat">'.$error.'<a href="/str/office.php?act=mail">Назад</a></div>';
}else{
$headers .= "Content-Type: text/plain; charset=utf-8\n";
mail($mail, $subject, $body, $headers);
mysql_query("UPDATE `".$prefix."users` SET `mail` = '".$mail."' WHERE `id` = '".$user_data['id']."'");

echo '<div class="stat">E-mail успешно изменен!<br>';

}
}else{
echo '<div class="stat"><form action="/str/office.php?act=mail" method="post">
<b>E-mail :</b><br><br>
<input name="mail" type="text" value="'.$user_data['mail'].'" ><br><br>
<input name="ok" type="submit" value="Сохранить" ></form></div>';
}
echo '<div class="faz"><b><< <a href="/str/office.php">В кабинет</a></b></div>';
break;

case 'pass':
echo '<div class="topik">Смена пароля</div>';
if(isset($_POST['ok'])){
$pass = filter($_POST['password']);
$pass1 = filter($_POST['password1']);
$error = '';
if($pass != $pass1){
$error .= 'Пароли не совпадают!';
}

if(!empty($error)){
echo '<div class="stat">'.$error.'<a href="/str/office.php?act=pass">Назад</a>';
}else{
$headers .= "Content-Type: text/plain; charset=utf-8\n";
mail($mail, $subject, $body, $headers);
mysql_query("UPDATE `".$prefix."users` SET  `password` = '".md5($pass)."', `mail` = '".$mail."' WHERE `id` = '".$user_data['id']."'");

echo '<div class="stat">Пароль успешно изменен!<br></div>';

}
}else{
echo '<div class="stat"><form action="/str/office.php?act=pass" method="post">
<b>Новый Пароль:</b><br>
<input name="password" type="text" value="" >
<br><b>Повторите пароль:</b><br>
<input name="password1" type="text" value="" ><br/><br>
<input name="ok" type="submit" value="Сохранить" ></form></div>';
}
echo '<div class="faz"><b><< <a href="/str/office.php">В кабинет</a></b></div>';
break;
}
require_once ('foot.php');
?>